/* FILTERS */

.page-paylist-root .filters {
    display: flex;
    justify-content: flex-end;
}

.page-paylist-root .nice-select-root .selected {
    min-width: 150px;
}

.page-paylist-root h3 {
    display: flex;
    align-items: center;
}

.page-paylist-root h3 > .badge {
    margin-left: 0.5rem;
}

.page-paylist-root .error-msg {
    background: #ffd4d4;
    color: hsl(0 100% 46% / 1);
    border-radius: 4px;
    padding: 0.5rem;
    margin-bottom: 0.5rem;
}


.page-paylist-root .payment-list {
    padding-bottom: 8rem;
}

.page-paylist-root .payment-list > .payment .accordion-template-root {
    width: 100%;
}

.page-paylist-root .payment-list > .payment .accordion-header > .payment-header {
    display: grid;
    /* First line has the date on the left and the amount on the right. And second line has the description */
    grid-template-rows: 1fr 1fr;
    grid-template-columns: 1fr auto;
    grid-template-areas:
        "date amount"
        "description description";
    width: 100%;
}

.page-paylist-root .payment-list > .payment .accordion-header .chevron {
    display: none;
}

.page-paylist-root .payment-list > .payment .date {
    grid-area: date;
    font-size: 0.8rem;
    color: #888;
}

.page-paylist-root .payment-list > .payment .amount {
    grid-area: amount;
    font-size: 1.1rem;
    text-align: right;
    display: flex;
    align-items: center;
    justify-content: flex-end;
    flex-wrap: nowrap;
    margin-left: auto;
}

.page-paylist-root .badge .status {
    margin-left: 1px;
    margin-right: 6px;
}

.page-paylist-root .status {
    display: inline-block;
    --clay-scale: 0.4;
    width: 10px;
    height: 10px;
    border-radius: 50%;
    background-color: #ddd;
    margin-left: 0.5rem;
}

.page-paylist-root .status.success {
    background-color: var(--green);
}

.page-paylist-root .status.error {
    background-color: var(--red);
}

.page-paylist-root .payment-list > .payment > .description {
    grid-area: description;
    font-size: 0.9rem;
    color: #888;
    margin-top: 0.5rem;
    /* ellipsis */
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.page-paylist-root .payment-list > .payment .accordion-content.open {
    padding-top: 1rem;
}

.page-paylist-root .payment-list > .payment .accordion-content .receipt .title {
    font-weight: bold;
}

.page-paylist-root .payment-list > .payment .accordion-content .receipt-item {
    display: grid;
    grid-template-columns: 2fr 1fr;
}